Skip to main content
GET
/
v1
/
crm
/
residuals
/
metrics
Get ISO Residual Report Metrics
curl --request GET \
  --url https://api.example.com/v1/crm/residuals/metrics \
  --header 'Authorization: <api-key>'
{
  "merchant": {
    "approved": 123,
    "closed": 123,
    "total": 123
  },
  "residual": {
    "statementIncome": 123,
    "gross": 123,
    "isoResidual": 123,
    "adjustments": 123,
    "sgpyAdjustments": 123,
    "netPayouts": 123
  },
  "processing": {
    "volume": 123,
    "transactions": 123
  }
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Authorization
string
header
required

Enter api-key in following format: Api-Key

Query Parameters

q
string
size
number
default:20
page
number
default:1
sort
string
default:-createdAt
filter
object
expand
searchable
string[]
before
object
after
object
audienceClientId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
residualId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

The residual report metrics.

merchant
object
required
residual
object
required
processing
object
required